#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanBoolean = 4929,
  GleanCategory = 4942,
  GleanCounter = 4956,
  GleanCustomDistribution = 4969,
  GleanDatetime = 4993,
  GleanDenominator = 5007,
  GleanEvent = 5024,
  GleanImpl = 5035,
  GleanLabeled = 5045,
  GleanMemoryDistribution = 5058,
  GleanMetric = 5082,
  GleanNumerator = 5094,
  GleanPingsImpl = 5109,
  GleanQuantity = 5124,
  GleanRate = 5138,
  GleanString = 5148,
  GleanStringList = 5160,
  GleanText = 5176,
  GleanTimespan = 5186,
  GleanTimingDistribution = 5200,
  GleanUrl = 5224,
  GleanUuid = 5233,
  Grid = 5243,
  GridArea = 5248,
  GridDimension = 5257,
  GridLine = 5271,
  GridLines = 5280,
  GridTrack = 5290,
  GridTracks = 5300,
  HTMLAllCollection = 5311,
  HTMLAnchorElement = 5329,
  HTMLAreaElement = 5347,
  HTMLAudioElement = 5363,
  HTMLBRElement = 5380,
  HTMLBaseElement = 5394,
  HTMLBodyElement = 5410,
  HTMLButtonElement = 5426,
  HTMLCanvasElement = 5444,
  HTMLCollection = 5462,
  HTMLDListElement = 5477,
  HTMLDataElement = 5494,
  HTMLDataListElement = 5510,
  HTMLDetailsElement = 5530,
  HTMLDialogElement = 5549,
  HTMLDirectoryElement = 5567,
  HTMLDivElement = 5588,
  HTMLDocument = 5603,
  HTMLElement = 5616,
  HTMLEmbedElement = 5628,
  HTMLFieldSetElement = 5645,
  HTMLFontElement = 5665,
  HTMLFormControlsCollection = 5681,
  HTMLFormElement = 5708,
  HTMLFrameElement = 5724,
  HTMLFrameSetElement = 5741,
  HTMLHRElement = 5761,
  HTMLHeadElement = 5775,
  HTMLHeadingElement = 5791,
  HTMLHtmlElement = 5810,
  HTMLIFrameElement = 5826,
  HTMLImageElement = 5844,
  HTMLInputElement = 5861,
  HTMLLIElement = 5878,
  HTMLLabelElement = 5892,
  HTMLLegendElement = 5909,
  HTMLLinkElement = 5927,
  HTMLMapElement = 5943,
  HTMLMarqueeElement = 5958,
  HTMLMediaElement = 5977,
  HTMLMenuElement = 5994,
  HTMLMetaElement = 6010,
  HTMLMeterElement = 6026,
  HTMLModElement = 6043,
  HTMLOListElement = 6058,
  HTMLObjectElement = 6075,
  HTMLOptGroupElement = 6093,
  HTMLOptionElement = 6113,
  HTMLOptionsCollection = 6131,
  HTMLOutputElement = 6153,
  HTMLParagraphElement = 6171,
  HTMLParamElement = 6192,
  HTMLPictureElement = 6209,
  HTMLPreElement = 6228,
  HTMLProgressElement = 6243,
  HTMLQuoteElement = 6263,
  HTMLScriptElement = 6280,
  HTMLSelectElement = 6298,
  HTMLSlotElement = 6316,
  HTMLSourceElement = 6332,
  HTMLSpanElement = 6350,
  HTMLStyleElement = 6366,
  HTMLTableCaptionElement = 6383,
  HTMLTableCellElement = 6407,
  HTMLTableColElement = 6428,
  HTMLTableElement = 6448,
  HTMLTableRowElement = 6465,
  HTMLTableSectionElement = 6485,
  HTMLTemplateElement = 6509,
  HTMLTextAreaElement = 6529,
  HTMLTimeElement = 6549,
  HTMLTitleElement = 6565,
  HTMLTrackElement = 6582,
  HTMLUListElement = 6599,
  HTMLUnknownElement = 6616,
  HTMLVideoElement = 6635,
  HashChangeEvent = 6652,
  Headers = 6668,
  Headers_Iterator = 6676,
  HeapSnapshot = 6693,
  Highlight = 6706,
  HighlightRegistry = 6716,
  History = 6734,
  IDBCursor = 6742,
  IDBCursorWithValue = 6752,
  IDBDatabase = 6771,
  IDBFactory = 6783,
  IDBIndex = 6794,
  IDBKeyRange = 6803,
  IDBLocaleAwareKeyRange = 6815,
  IDBObjectStore = 6838,
  IDBOpenDBRequest = 6853,
  IDBRequest = 6870,
  IDBTransaction = 6881,
  IDBVersionChangeEvent = 6896,
  IIRFilterNode = 6918,
  IOUtils = 6932,
  IdentityCredential = 6940,
  IdleDeadline = 6959,
  Image = 6972,
  ImageBitmap = 6978,
  ImageBitmapRenderingContext = 6990,
  ImageCapture = 7018,
  ImageCaptureError = 7031,
  ImageCaptureErrorEvent = 7049,
  ImageData = 7072,
  ImageDocument = 7082,
  InputEvent = 7096,
  InspectorFontFace = 7107,
  InspectorUtils = 7125,
  InstallTriggerImpl = 7140,
  IntersectionObserver = 7159,
  IntersectionObserverEntry = 7180,
  IntlUtils = 7206,
  JSProcessActorChild = 7216,
  JSProcessActorParent = 7236,
  JSWindowActorChild = 7257,
  JSWindowActorParent = 7276,
  KeyEvent = 7296,
  KeyboardEvent = 7305,
  KeyframeEffect = 7319,
  L10nFileSource = 7334,
  L10nOverlays = 7349,
  L10nRegistry = 7362,
  LargestContentfulPaint = 7375,
  LegacyMozTCPSocket = 7398,
  Localization = 7417,
  Location = 7430,
  Lock = 7439,
  LockManager = 7444,
  MIDIAccess = 7456,
  MIDIConnectionEvent = 7467,
  MIDIInput = 7487,
  MIDIInputMap = 7497,
  MIDIMessageEvent = 7510,
  MIDIOutput = 7527,
  MIDIOutputMap = 7538,
  MIDIPort = 7552,
  MOZ_debug = 7561,
  MatchGlob = 7571,
  MatchPattern = 7581,
  MatchPatternSet = 7594,
  MathMLElement = 7610,
  MediaCapabilities = 7624,
  MediaCapabilitiesInfo = 7642,
  MediaControlService = 7664,
  MediaController = 7684,
  MediaDeviceInfo = 7700,
  MediaDevices = 7716,
  MediaElementAudioSourceNode = 7729,
  MediaEncryptedEvent = 7757,
  MediaError = 7777,
  MediaKeyError = 7788,
  MediaKeyMessageEvent = 7802,
  MediaKeySession = 7823,
  MediaKeyStatusMap = 7839,
  MediaKeyStatusMap_Iterator = 7857,
  MediaKeySystemAccess = 7884,
  MediaKeys = 7905,
  MediaList = 7915,
  MediaMetadata = 7925,
  MediaQueryList = 7939,
  MediaQueryListEvent = 7954,
  MediaRecorder = 7974,
  MediaRecorderErrorEvent = 7988,
  MediaSession = 8012,
  MediaSource = 8025,
  MediaStream = 8037,
  MediaStreamAudioDestinationNode = 8049,
  MediaStreamAudioSourceNode = 8081,
  MediaStreamError = 8108,
  MediaStreamEvent = 8125,
  MediaStreamTrack = 8142,
  MediaStreamTrackAudioSourceNode = 8159,
  MediaStreamTrackEvent = 8191,
  MerchantValidationEvent = 8213,
  MessageBroadcaster = 8237,
  MessageChannel = 8256,
  MessageEvent = 8271,
  MessageListenerManager = 8284,
  MessagePort = 8307,
  MessageSender = 8319,
  MimeType = 8333,
  MimeTypeArray = 8342,
  MouseEvent = 8356,
  MouseScrollEvent = 8367,
  MozCanvasPrintState = 8384,
  MozDocumentMatcher = 8404,
  MozDocumentObserver = 8423,
  MozQueryInterface = 8443,
  MozSharedMap = 8461,
  MozSharedMap_Iterator = 8474,
  MozSharedMapChangeEvent = 8496,
  MozStorageAsyncStatementParams = 8520,
  MozStorageStatementParams = 8551,
  MozStorageStatementRow = 8577,
  MozWritableSharedMap = 8600,
  MutationEvent = 8621,
  MutationObserver = 8635,
  MutationRecord = 8652,
  NamedNodeMap = 8667,
  NavigationPreloadManager = 8680,
  Navigator = 8705,
  NetworkInformation = 8715,
  Node = 8734,
  NodeFilter = 8739,
  NodeIterator = 8750,
  NodeList = 8763,
  Notification = 8772,
  NotificationEvent = 8785,
  NotifyPaintEvent = 8803,
  OES_draw_buffers_indexed = 8820,
  OES_element_index_uint = 8845,
  OES_fbo_render_mipmap = 8868,
  OES_standard_derivatives = 8890,
  OES_texture_float = 8915,
  OES_texture_float_linear = 8933,
  OES_texture_half_float = 8958,
  OES_texture_half_float_linear = 8981,
  OES_vertex_array_object = 9011,
  OVR_multiview2 = 9035,
  OfflineAudioCompletionEvent = 9050,
  OfflineAudioContext = 9078,
  OffscreenCanvas = 9098,
  OffscreenCanvasRenderingContext2D = 9114,
  Option = 9148,
  OscillatorNode = 9155,
  PageTransitionEvent = 9170,
  PaintRequest = 9190,
  PaintRequestList = 9203,
  PaintWorkletGlobalScope = 9220,
  PannerNode = 9244,
  ParentProcessMessageManager = 9255,
  Path2D = 9283,
  PathUtils = 9290,
  PaymentAddress = 9300,
  PaymentMethodChangeEvent = 9315,
  PaymentRequest = 9340,
  PaymentRequestUpdateEvent = 9355,
  PaymentResponse = 9381,
  PeerConnectionImpl = 9397,
  PeerConnectionObserver = 9416,
  Performance = 9439,
  PerformanceEntry = 9451,
  PerformanceEntryEvent = 9468,
  PerformanceEventTiming = 9490,
  PerformanceMark = 9513,
  PerformanceMeasure = 9529,
  PerformanceNavigation = 9548,
  PerformanceNavigationTiming = 9570,
  PerformanceObserver = 9598,
  PerformanceObserverEntryList = 9618,
  PerformancePaintTiming = 9647,
  PerformanceResourceTiming = 9670,
  PerformanceServerTiming = 9696,
  PerformanceTiming = 9720,
  PeriodicWave = 9738,
  PermissionStatus = 9751,
  Permissions = 9768,
  PlacesBookmark = 9780,
  PlacesBookmarkAddition = 9795,
  PlacesBookmarkChanged = 9818,
  PlacesBookmarkGuid = 9840,
  PlacesBookmarkKeyword = 9859,
  PlacesBookmarkMoved = 9881,
  PlacesBookmarkRemoved = 9901,
  PlacesBookmarkTags = 9923,
  PlacesBookmarkTime = 9942,
  PlacesBookmarkTitle = 9961,
  PlacesBookmarkUrl = 9981,
  PlacesEvent = 9999,
  PlacesFavicon = 10011,
  PlacesHistoryCleared = 10025,
  PlacesObservers = 10046,
  PlacesPurgeCaches = 10062,
  PlacesRanking = 10080,
  PlacesVisit = 10094,
  PlacesVisitRemoved = 10106,
  PlacesVisitTitle = 10125,
  PlacesWeakCallbackWrapper = 10142,
  Plugin = 10168,
  PluginArray = 10175,
  PluginCrashedEvent = 10187,
  PointerEvent = 10206,
  PopStateEvent = 10219,
  PopupBlockedEvent = 10233,
  PopupPositionedEvent = 10251,
  PositionStateEvent = 10272,
  PrecompiledScript = 10291,
  ProcessMessageManager = 10309,
  ProcessingInstruction = 10331,
  ProgressEvent = 10353,
  PromiseDebugging = 10367,
  PromiseNativeHandler = 10384,
  PromiseRejectionEvent = 10405,
  PublicKeyCredential = 10427,
  PushEvent = 10447,
  PushManager = 10457,
  PushManagerImpl = 10469,
  PushMessageData = 10485,
  PushSubscription = 10501,
  PushSubscriptionOptions = 10518,
  RTCCertificate = 10542,
  RTCDTMFSender = 10557,
  RTCDTMFToneChangeEvent = 10571,
  RTCDataChannel = 10594,
  RTCDataChannelEvent = 10609,
  RTCDtlsTransport = 10629,
  RTCEncodedAudioFrame = 10646,
  RTCEncodedVideoFrame = 10667,
  RTCIceCandidate = 10688,
  RTCIdentityProviderRegistrar = 10704,
  RTCPeerConnection = 10733,
  RTCPeerConnectionIceEvent = 10751,
  RTCPeerConnectionStatic = 10777,
  RTCRtpReceiver = 10801,
  RTCRtpScriptTransform = 10816,
  RTCRtpScriptTransformer = 10838,
  RTCRtpSender = 10862,
  RTCRtpTransceiver = 10875,
  RTCSctpTransport = 10893,
  RTCSessionDescription = 10910,
  RTCStatsReport = 10932,
  RTCTrackEvent = 10947,
  RTCTransformEvent = 10961,
  RadioNodeList = 10979,
  Range = 10993,
  ReadableByteStreamController = 10999,
  ReadableStream = 11028,
  ReadableStream_AsyncIterator = 11043,
  ReadableStreamBYOBReader = 11072,
  ReadableStreamBYOBRequest = 11097,
  ReadableStreamDefaultController = 11123,
  ReadableStreamDefaultReader = 11155,
  Report = 11183,
  ReportBody = 11190,
  ReportingObserver = 11201,
  Request = 11219,
  ResizeObserver = 11227,
  ResizeObserverEntry = 11242,
  ResizeObserverSize = 11262,
  Response = 11281,
  SVGAElement = 11290,
  SVGAngle = 11302,
  SVGAnimateElement = 11311,
  SVGAnimateMotionElement = 11329,
  SVGAnimateTransformElement = 11353,
  SVGAnimatedAngle = 11380,
  SVGAnimatedBoolean = 11397,
  SVGAnimatedEnumeration = 11416,
  SVGAnimatedInteger = 11439,
  SVGAnimatedLength = 11458,
  SVGAnimatedLengthList = 11476,
  SVGAnimatedNumber = 11498,
  SVGAnimatedNumberList = 11516,
  SVGAnimatedPreserveAspectRatio = 11538,
  SVGAnimatedRect = 11569,
  SVGAnimatedString = 11585,
  SVGAnimatedTransformList = 11603,
  SVGAnimationElement = 11628,
  SVGCircleElement = 11648,
  SVGClipPathElement = 11665,
  SVGComponentTransferFunctionElement = 11684,
  SVGDefsElement = 11720,
  SVGDescElement = 11735,
  SVGElement = 11750,
  SVGEllipseElement = 11761,
  SVGFEBlendElement = 11779,
  SVGFEColorMatrixElement = 11797,
  SVGFEComponentTransferElement = 11821,
  SVGFECompositeElement = 11851,
  SVGFEConvolveMatrixElement = 11873,
  SVGFEDiffuseLightingElement = 11900,
  SVGFEDisplacementMapElement = 11928,
  SVGFEDistantLightElement = 11956,
  SVGFEDropShadowElement = 11981,
  SVGFEFloodElement = 12004,
  SVGFEFuncAElement = 12022,
  SVGFEFuncBElement = 12040,
  SVGFEFuncGElement = 12058,
  SVGFEFuncRElement = 12076,
  SVGFEGaussianBlurElement = 12094,
  SVGFEImageElement = 12119,
  SVGFEMergeElement = 12137,
  SVGFEMergeNodeElement = 12155,
  SVGFEMorphologyElement = 12177,
  SVGFEOffsetElement = 12200,
  SVGFEPointLightElement = 12219,
  SVGFESpecularLightingElement = 12242,
  SVGFESpotLightElement = 12271,
  SVGFETileElement = 12293,
  SVGFETurbulenceElement = 12310,
  SVGFilterElement = 12333,
  SVGForeignObjectElement = 12350,
  SVGGElement = 12374,
  SVGGeometryElement = 12386,
  SVGGradientElement = 12405,
  SVGGraphicsElement = 12424,
  SVGImageElement = 12443,
  SVGLength = 12459,
  SVGLengthList = 12469,
  SVGLineElement = 12483,
  SVGLinearGradientElement = 12498,
  SVGMPathElement = 12523,
  SVGMarkerElement = 12539,
  SVGMaskElement = 12556,
  SVGMatrix = 12571,
  SVGMetadataElement = 12581,
  SVGNumber = 12600,
  SVGNumberList = 12610,
  SVGPathElement = 12624,
  SVGPathSeg = 12639,
  SVGPathSegArcAbs = 12650,
  SVGPathSegArcRel = 12667,
  SVGPathSegClosePath = 12684,
  SVGPathSegCurvetoCubicAbs = 12704,
  SVGPathSegCurvetoCubicRel = 12730,
  SVGPathSegCurvetoCubicSmoothAbs = 12756,
  SVGPathSegCurvetoCubicSmoothRel = 12788,
  SVGPathSegCurvetoQuadraticAbs = 12820,
  SVGPathSegCurvetoQuadraticRel = 12850,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12880,
  SVGPathSegCurvetoQuadraticSmoothRel = 12916,
  SVGPathSegLinetoAbs = 12952,
  SVGPathSegLinetoHorizontalAbs = 12972,
  SVGPathSegLinetoHorizontalRel = 13002,
  SVGPathSegLinetoRel = 13032,
  SVGPathSegLinetoVerticalAbs = 13052,
  SVGPathSegLinetoVerticalRel = 13080,
  SVGPathSegList = 13108,
  SVGPathSegMovetoAbs = 13123,
  SVGPathSegMovetoRel = 13143,
  SVGPatternElement = 13163,
  SVGPoint = 13181,
  SVGPointList = 13190,
  SVGPolygonElement = 13203,
  SVGPolylineElement = 13221,
  SVGPreserveAspectRatio = 13240,
  SVGRadialGradientElement = 13263,
  SVGRect = 13288,
  SVGRectElement = 13296,
  SVGSVGElement = 13311,
  SVGScriptElement = 13325,
  SVGSetElement = 13342,
  SVGStopElement = 13356,
  SVGStringList = 13371,
  SVGStyleElement = 13385,
  SVGSwitchElement = 13401,
  SVGSymbolElement = 13418,
  SVGTSpanElement = 13435,
  SVGTextContentElement = 13451,
  SVGTextElement = 13473,
  SVGTextPathElement = 13488,
  SVGTextPositioningElement = 13507,
  SVGTitleElement = 13533,
  SVGTransform = 13549,
  SVGTransformList = 13562,
  SVGUnitTypes = 13579,
  SVGUseElement = 13592,
  SVGViewElement = 13606,
  Sanitizer = 13621,
  Scheduler = 13631,
  Screen = 13641,
  ScreenLuminance = 13648,
  ScreenOrientation = 13664,
  ScriptProcessorNode = 13682,
  ScrollAreaEvent = 13702,
  ScrollViewChangeEvent = 13718,
  SecurityPolicyViolationEvent = 13740,
  Selection = 13769,
  ServiceWorker = 13779,
  ServiceWorkerContainer = 13793,
  ServiceWorkerGlobalScope = 13816,
  ServiceWorkerRegistration = 13841,
  SessionStoreFormData = 13867,
  SessionStoreScrollData = 13888,
  SessionStoreUtils = 13911,
  ShadowRealmGlobalScope = 13929,
  ShadowRoot = 13952,
  SharedWorker = 13963,
  SharedWorkerGlobalScope = 13976,
  SimpleGestureEvent = 14000,
  SourceBuffer = 14019,
  SourceBufferList = 14032,
  SpeechGrammar = 14049,
  SpeechGrammarList = 14063,
  SpeechRecognition = 14081,
  SpeechRecognitionAlternative = 14099,
  SpeechRecognitionError = 14128,
  SpeechRecognitionEvent = 14151,
  SpeechRecognitionResult = 14174,
  SpeechRecognitionResultList = 14198,
  SpeechSynthesis = 14226,
  SpeechSynthesisErrorEvent = 14242,
  SpeechSynthesisEvent = 14268,
  SpeechSynthesisUtterance = 14289,
  SpeechSynthesisVoice = 14314,
  StaticRange = 14335,
  StereoPannerNode = 14347,
  Storage = 14364,
  StorageEvent = 14372,
  StorageManager = 14385,
  StreamFilter = 14400,
  StreamFilterDataEvent = 14413,
  StructuredCloneHolder = 14435,
  StructuredCloneTester = 14457,
  StyleSheet = 14479,
  StyleSheetApplicableStateChangeEvent = 14490,
  StyleSheetList = 14527,
  StyleSheetRemovedEvent = 14542,
  SubmitEvent = 14565,
  SubtleCrypto = 14577,
  SyncMessageSender = 14590,
  SyncReadFile = 14608,
  TCPServerSocket = 14621,
  TCPServerSocketEvent = 14637,
  TCPSocket = 14658,
  TCPSocketErrorEvent = 14668,
  TCPSocketEvent = 14688,
  TaskController = 14703,
  TaskPriorityChangeEvent = 14718,
  TaskSignal = 14742,
  TelemetryStopwatch = 14753,
  TestUtils = 14772,
  TestingDeprecatedInterface = 14782,
  Text = 14809,
  TextClause = 14814,
  TextDecoder = 14825,
  TextDecoderStream = 14837,
  TextEncoder = 14855,
  TextEncoderStream = 14867,
  TextMetrics = 14885,
  TextTrack = 14897,
  TextTrackCue = 14907,
  TextTrackCueList = 14920,
  TextTrackList = 14937,
  TimeEvent = 14951,
  TimeRanges = 14961,
  ToggleEvent = 14972,
  Touch = 14984,
  TouchEvent = 14990,
  TouchList = 15001,
  TrackEvent = 15011,
  TransformStream = 15022,
  TransformStreamDefaultController = 15038,
  TransitionEvent = 15071,
  TreeColumn = 15087,
  TreeColumns = 15098,
  TreeContentView = 15110,
  TreeWalker = 15126,
  UDPMessageEvent = 15137,
  UDPSocket = 15153,
  UIEvent = 15163,
  URL = 15171,
  URLSearchParams = 15175,
  URLSearchParams_Iterator = 15191,
  UniFFIPointer = 15216,
  UniFFIScaffolding = 15230,
  UserInteraction = 15248,
  UserProximityEvent = 15264,
  VRDisplay = 15283,
  VRDisplayCapabilities = 15293,
  VRDisplayEvent = 15315,
  VREyeParameters = 15330,
  VRFieldOfView = 15346,
  VRFrameData = 15360,
  VRMockController = 15372,
  VRMockDisplay = 15389,
  VRPose = 15403,
  VRServiceTest = 15410,
  VRStageParameters = 15424,
  VTTCue = 15442,
  VTTRegion = 15449,
  ValidityState = 15459,
  VideoColorSpace = 15473,
  VideoDecoder = 15489,
  VideoFrame = 15502,
  VideoPlaybackQuality = 15513,
  VideoTrack = 15534,
  VideoTrackList = 15545,
  VisualViewport = 15560,
  WEBGL_color_buffer_float = 15575,
  WEBGL_compressed_texture_astc = 15600,
  WEBGL_compressed_texture_etc = 15630,
  WEBGL_compressed_texture_etc1 = 15659,
  WEBGL_compressed_texture_pvrtc = 15689,
  WEBGL_compressed_texture_s3tc = 15720,
  WEBGL_compressed_texture_s3tc_srgb = 15750,
  WEBGL_debug_renderer_info = 15785,
  WEBGL_debug_shaders = 15811,
  WEBGL_depth_texture = 15831,
  WEBGL_draw_buffers = 15851,
  WEBGL_explicit_present = 15870,
  WEBGL_lose_context = 15893,
  WEBGL_provoking_vertex = 15912,
  WaveShaperNode = 15935,
  WebExtensionContentScript = 15950,
  WebExtensionPolicy = 15976,
  WebGL2RenderingContext = 15995,
  WebGLActiveInfo = 16018,
  WebGLBuffer = 16034,
  WebGLContextEvent = 16046,
  WebGLFramebuffer = 16064,
  WebGLProgram = 16081,
  WebGLQuery = 16094,
  WebGLRenderbuffer = 16105,
  WebGLRenderingContext = 16123,
  WebGLSampler = 16145,
  WebGLShader = 16158,
  WebGLShaderPrecisionFormat = 16170,
  WebGLSync = 16197,
  WebGLTexture = 16207,
  WebGLTransformFeedback = 16220,
  WebGLUniformLocation = 16243,
  WebGLVertexArrayObject = 16264,
  WebKitCSSMatrix = 16287,
  WebSocket = 16303,
  WebTransport = 16313,
  WebTransportBidirectionalStream = 16326,
  WebTransportDatagramDuplexStream = 16358,
  WebTransportError = 16391,
  WebTransportReceiveStream = 16409,
  WebTransportSendStream = 16435,
  WebrtcGlobalInformation = 16458,
  WheelEvent = 16482,
  Window = 16493,
  WindowClient = 16500,
  WindowContext = 16513,
  WindowGlobalChild = 16527,
  WindowGlobalParent = 16545,
  WindowRoot = 16564,
  Worker = 16575,
  WorkerDebuggerGlobalScope = 16582,
  WorkerGlobalScope = 16608,
  WorkerLocation = 16626,
  WorkerNavigator = 16641,
  WorkerTestUtils = 16657,
  Worklet = 16673,
  WorkletGlobalScope = 16681,
  WritableStream = 16700,
  WritableStreamDefaultController = 16715,
  WritableStreamDefaultWriter = 16747,
  XMLDocument = 16775,
  XMLHttpRequest = 16787,
  XMLHttpRequestEventTarget = 16802,
  XMLHttpRequestUpload = 16828,
  XMLSerializer = 16849,
  XPathEvaluator = 16863,
  XPathExpression = 16878,
  XPathResult = 16894,
  XRBoundedReferenceSpace = 16906,
  XRFrame = 16930,
  XRInputSource = 16938,
  XRInputSourceArray = 16952,
  XRInputSourceEvent = 16971,
  XRInputSourcesChangeEvent = 16990,
  XRPose = 17016,
  XRReferenceSpace = 17023,
  XRReferenceSpaceEvent = 17040,
  XRRenderState = 17062,
  XRRigidTransform = 17076,
  XRSession = 17093,
  XRSessionEvent = 17103,
  XRSpace = 17118,
  XRSystem = 17126,
  XRView = 17135,
  XRViewerPose = 17142,
  XRViewport = 17155,
  XRWebGLLayer = 17166,
  XSLTProcessor = 17179,
  XULCommandEvent = 17193,
  XULElement = 17209,
  XULFrameElement = 17220,
  XULMenuElement = 17236,
  XULPopupElement = 17251,
  XULResizerElement = 17267,
  XULTextElement = 17285,
  XULTreeElement = 17300,
  console = 17315,
  webkitSpeechGrammar = 17323,
  webkitSpeechGrammarList = 17343,
  webkitSpeechRecognition = 17367,
  webkitURL = 17391,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
