#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUError" "\0"
  /*  4325 */ "GPUInternalError" "\0"
  /*  4342 */ "GPUMapMode" "\0"
  /*  4353 */ "GPUOutOfMemoryError" "\0"
  /*  4373 */ "GPUPipelineLayout" "\0"
  /*  4391 */ "GPUQuerySet" "\0"
  /*  4403 */ "GPUQueue" "\0"
  /*  4412 */ "GPURenderBundle" "\0"
  /*  4428 */ "GPURenderBundleEncoder" "\0"
  /*  4451 */ "GPURenderPassEncoder" "\0"
  /*  4472 */ "GPURenderPipeline" "\0"
  /*  4490 */ "GPUSampler" "\0"
  /*  4501 */ "GPUShaderModule" "\0"
  /*  4517 */ "GPUShaderStage" "\0"
  /*  4532 */ "GPUSupportedFeatures" "\0"
  /*  4553 */ "GPUSupportedLimits" "\0"
  /*  4572 */ "GPUTexture" "\0"
  /*  4583 */ "GPUTextureUsage" "\0"
  /*  4599 */ "GPUTextureView" "\0"
  /*  4614 */ "GPUUncapturedErrorEvent" "\0"
  /*  4638 */ "GPUValidationError" "\0"
  /*  4657 */ "GainNode" "\0"
  /*  4666 */ "Gamepad" "\0"
  /*  4674 */ "GamepadAxisMoveEvent" "\0"
  /*  4695 */ "GamepadButton" "\0"
  /*  4709 */ "GamepadButtonEvent" "\0"
  /*  4728 */ "GamepadEvent" "\0"
  /*  4741 */ "GamepadHapticActuator" "\0"
  /*  4763 */ "GamepadLightIndicator" "\0"
  /*  4785 */ "GamepadPose" "\0"
  /*  4797 */ "GamepadServiceTest" "\0"
  /*  4816 */ "GamepadTouch" "\0"
  /*  4829 */ "Geolocation" "\0"
  /*  4841 */ "GeolocationCoordinates" "\0"
  /*  4864 */ "GeolocationPosition" "\0"
  /*  4884 */ "GeolocationPositionError" "\0"
  /*  4909 */ "GetUserMediaRequest" "\0"
  /*  4929 */ "GleanBoolean" "\0"
  /*  4942 */ "GleanCategory" "\0"
  /*  4956 */ "GleanCounter" "\0"
  /*  4969 */ "GleanCustomDistribution" "\0"
  /*  4993 */ "GleanDatetime" "\0"
  /*  5007 */ "GleanDenominator" "\0"
  /*  5024 */ "GleanEvent" "\0"
  /*  5035 */ "GleanImpl" "\0"
  /*  5045 */ "GleanLabeled" "\0"
  /*  5058 */ "GleanMemoryDistribution" "\0"
  /*  5082 */ "GleanMetric" "\0"
  /*  5094 */ "GleanNumerator" "\0"
  /*  5109 */ "GleanPingsImpl" "\0"
  /*  5124 */ "GleanQuantity" "\0"
  /*  5138 */ "GleanRate" "\0"
  /*  5148 */ "GleanString" "\0"
  /*  5160 */ "GleanStringList" "\0"
  /*  5176 */ "GleanText" "\0"
  /*  5186 */ "GleanTimespan" "\0"
  /*  5200 */ "GleanTimingDistribution" "\0"
  /*  5224 */ "GleanUrl" "\0"
  /*  5233 */ "GleanUuid" "\0"
  /*  5243 */ "Grid" "\0"
  /*  5248 */ "GridArea" "\0"
  /*  5257 */ "GridDimension" "\0"
  /*  5271 */ "GridLine" "\0"
  /*  5280 */ "GridLines" "\0"
  /*  5290 */ "GridTrack" "\0"
  /*  5300 */ "GridTracks" "\0"
  /*  5311 */ "HTMLAllCollection" "\0"
  /*  5329 */ "HTMLAnchorElement" "\0"
  /*  5347 */ "HTMLAreaElement" "\0"
  /*  5363 */ "HTMLAudioElement" "\0"
  /*  5380 */ "HTMLBRElement" "\0"
  /*  5394 */ "HTMLBaseElement" "\0"
  /*  5410 */ "HTMLBodyElement" "\0"
  /*  5426 */ "HTMLButtonElement" "\0"
  /*  5444 */ "HTMLCanvasElement" "\0"
  /*  5462 */ "HTMLCollection" "\0"
  /*  5477 */ "HTMLDListElement" "\0"
  /*  5494 */ "HTMLDataElement" "\0"
  /*  5510 */ "HTMLDataListElement" "\0"
  /*  5530 */ "HTMLDetailsElement" "\0"
  /*  5549 */ "HTMLDialogElement" "\0"
  /*  5567 */ "HTMLDirectoryElement" "\0"
  /*  5588 */ "HTMLDivElement" "\0"
  /*  5603 */ "HTMLDocument" "\0"
  /*  5616 */ "HTMLElement" "\0"
  /*  5628 */ "HTMLEmbedElement" "\0"
  /*  5645 */ "HTMLFieldSetElement" "\0"
  /*  5665 */ "HTMLFontElement" "\0"
  /*  5681 */ "HTMLFormControlsCollection" "\0"
  /*  5708 */ "HTMLFormElement" "\0"
  /*  5724 */ "HTMLFrameElement" "\0"
  /*  5741 */ "HTMLFrameSetElement" "\0"
  /*  5761 */ "HTMLHRElement" "\0"
  /*  5775 */ "HTMLHeadElement" "\0"
  /*  5791 */ "HTMLHeadingElement" "\0"
  /*  5810 */ "HTMLHtmlElement" "\0"
  /*  5826 */ "HTMLIFrameElement" "\0"
  /*  5844 */ "HTMLImageElement" "\0"
  /*  5861 */ "HTMLInputElement" "\0"
  /*  5878 */ "HTMLLIElement" "\0"
  /*  5892 */ "HTMLLabelElement" "\0"
  /*  5909 */ "HTMLLegendElement" "\0"
  /*  5927 */ "HTMLLinkElement" "\0"
  /*  5943 */ "HTMLMapElement" "\0"
  /*  5958 */ "HTMLMarqueeElement" "\0"
  /*  5977 */ "HTMLMediaElement" "\0"
  /*  5994 */ "HTMLMenuElement" "\0"
  /*  6010 */ "HTMLMetaElement" "\0"
  /*  6026 */ "HTMLMeterElement" "\0"
  /*  6043 */ "HTMLModElement" "\0"
  /*  6058 */ "HTMLOListElement" "\0"
  /*  6075 */ "HTMLObjectElement" "\0"
  /*  6093 */ "HTMLOptGroupElement" "\0"
  /*  6113 */ "HTMLOptionElement" "\0"
  /*  6131 */ "HTMLOptionsCollection" "\0"
  /*  6153 */ "HTMLOutputElement" "\0"
  /*  6171 */ "HTMLParagraphElement" "\0"
  /*  6192 */ "HTMLParamElement" "\0"
  /*  6209 */ "HTMLPictureElement" "\0"
  /*  6228 */ "HTMLPreElement" "\0"
  /*  6243 */ "HTMLProgressElement" "\0"
  /*  6263 */ "HTMLQuoteElement" "\0"
  /*  6280 */ "HTMLScriptElement" "\0"
  /*  6298 */ "HTMLSelectElement" "\0"
  /*  6316 */ "HTMLSlotElement" "\0"
  /*  6332 */ "HTMLSourceElement" "\0"
  /*  6350 */ "HTMLSpanElement" "\0"
  /*  6366 */ "HTMLStyleElement" "\0"
  /*  6383 */ "HTMLTableCaptionElement" "\0"
  /*  6407 */ "HTMLTableCellElement" "\0"
  /*  6428 */ "HTMLTableColElement" "\0"
  /*  6448 */ "HTMLTableElement" "\0"
  /*  6465 */ "HTMLTableRowElement" "\0"
  /*  6485 */ "HTMLTableSectionElement" "\0"
  /*  6509 */ "HTMLTemplateElement" "\0"
  /*  6529 */ "HTMLTextAreaElement" "\0"
  /*  6549 */ "HTMLTimeElement" "\0"
  /*  6565 */ "HTMLTitleElement" "\0"
  /*  6582 */ "HTMLTrackElement" "\0"
  /*  6599 */ "HTMLUListElement" "\0"
  /*  6616 */ "HTMLUnknownElement" "\0"
  /*  6635 */ "HTMLVideoElement" "\0"
  /*  6652 */ "HashChangeEvent" "\0"
  /*  6668 */ "Headers" "\0"
  /*  6676 */ "Headers Iterator" "\0"
  /*  6693 */ "HeapSnapshot" "\0"
  /*  6706 */ "Highlight" "\0"
  /*  6716 */ "HighlightRegistry" "\0"
  /*  6734 */ "History" "\0"
  /*  6742 */ "IDBCursor" "\0"
  /*  6752 */ "IDBCursorWithValue" "\0"
  /*  6771 */ "IDBDatabase" "\0"
  /*  6783 */ "IDBFactory" "\0"
  /*  6794 */ "IDBIndex" "\0"
  /*  6803 */ "IDBKeyRange" "\0"
  /*  6815 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6838 */ "IDBObjectStore" "\0"
  /*  6853 */ "IDBOpenDBRequest" "\0"
  /*  6870 */ "IDBRequest" "\0"
  /*  6881 */ "IDBTransaction" "\0"
  /*  6896 */ "IDBVersionChangeEvent" "\0"
  /*  6918 */ "IIRFilterNode" "\0"
  /*  6932 */ "IOUtils" "\0"
  /*  6940 */ "IdentityCredential" "\0"
  /*  6959 */ "IdleDeadline" "\0"
  /*  6972 */ "Image" "\0"
  /*  6978 */ "ImageBitmap" "\0"
  /*  6990 */ "ImageBitmapRenderingContext" "\0"
  /*  7018 */ "ImageCapture" "\0"
  /*  7031 */ "ImageCaptureError" "\0"
  /*  7049 */ "ImageCaptureErrorEvent" "\0"
  /*  7072 */ "ImageData" "\0"
  /*  7082 */ "ImageDocument" "\0"
  /*  7096 */ "InputEvent" "\0"
  /*  7107 */ "InspectorFontFace" "\0"
  /*  7125 */ "InspectorUtils" "\0"
  /*  7140 */ "InstallTriggerImpl" "\0"
  /*  7159 */ "IntersectionObserver" "\0"
  /*  7180 */ "IntersectionObserverEntry" "\0"
  /*  7206 */ "IntlUtils" "\0"
  /*  7216 */ "JSProcessActorChild" "\0"
  /*  7236 */ "JSProcessActorParent" "\0"
  /*  7257 */ "JSWindowActorChild" "\0"
  /*  7276 */ "JSWindowActorParent" "\0"
  /*  7296 */ "KeyEvent" "\0"
  /*  7305 */ "KeyboardEvent" "\0"
  /*  7319 */ "KeyframeEffect" "\0"
  /*  7334 */ "L10nFileSource" "\0"
  /*  7349 */ "L10nOverlays" "\0"
  /*  7362 */ "L10nRegistry" "\0"
  /*  7375 */ "LargestContentfulPaint" "\0"
  /*  7398 */ "LegacyMozTCPSocket" "\0"
  /*  7417 */ "Localization" "\0"
  /*  7430 */ "Location" "\0"
  /*  7439 */ "Lock" "\0"
  /*  7444 */ "LockManager" "\0"
  /*  7456 */ "MIDIAccess" "\0"
  /*  7467 */ "MIDIConnectionEvent" "\0"
  /*  7487 */ "MIDIInput" "\0"
  /*  7497 */ "MIDIInputMap" "\0"
  /*  7510 */ "MIDIMessageEvent" "\0"
  /*  7527 */ "MIDIOutput" "\0"
  /*  7538 */ "MIDIOutputMap" "\0"
  /*  7552 */ "MIDIPort" "\0"
  /*  7561 */ "MOZ_debug" "\0"
  /*  7571 */ "MatchGlob" "\0"
  /*  7581 */ "MatchPattern" "\0"
  /*  7594 */ "MatchPatternSet" "\0"
  /*  7610 */ "MathMLElement" "\0"
  /*  7624 */ "MediaCapabilities" "\0"
  /*  7642 */ "MediaCapabilitiesInfo" "\0"
  /*  7664 */ "MediaControlService" "\0"
  /*  7684 */ "MediaController" "\0"
  /*  7700 */ "MediaDeviceInfo" "\0"
  /*  7716 */ "MediaDevices" "\0"
  /*  7729 */ "MediaElementAudioSourceNode" "\0"
  /*  7757 */ "MediaEncryptedEvent" "\0"
  /*  7777 */ "MediaError" "\0"
  /*  7788 */ "MediaKeyError" "\0"
  /*  7802 */ "MediaKeyMessageEvent" "\0"
  /*  7823 */ "MediaKeySession" "\0"
  /*  7839 */ "MediaKeyStatusMap" "\0"
  /*  7857 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7884 */ "MediaKeySystemAccess" "\0"
  /*  7905 */ "MediaKeys" "\0"
  /*  7915 */ "MediaList" "\0"
  /*  7925 */ "MediaMetadata" "\0"
  /*  7939 */ "MediaQueryList" "\0"
  /*  7954 */ "MediaQueryListEvent" "\0"
  /*  7974 */ "MediaRecorder" "\0"
  /*  7988 */ "MediaRecorderErrorEvent" "\0"
  /*  8012 */ "MediaSession" "\0"
  /*  8025 */ "MediaSource" "\0"
  /*  8037 */ "MediaStream" "\0"
  /*  8049 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8081 */ "MediaStreamAudioSourceNode" "\0"
  /*  8108 */ "MediaStreamError" "\0"
  /*  8125 */ "MediaStreamEvent" "\0"
  /*  8142 */ "MediaStreamTrack" "\0"
  /*  8159 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8191 */ "MediaStreamTrackEvent" "\0"
  /*  8213 */ "MerchantValidationEvent" "\0"
  /*  8237 */ "MessageBroadcaster" "\0"
  /*  8256 */ "MessageChannel" "\0"
  /*  8271 */ "MessageEvent" "\0"
  /*  8284 */ "MessageListenerManager" "\0"
  /*  8307 */ "MessagePort" "\0"
  /*  8319 */ "MessageSender" "\0"
  /*  8333 */ "MimeType" "\0"
  /*  8342 */ "MimeTypeArray" "\0"
  /*  8356 */ "MouseEvent" "\0"
  /*  8367 */ "MouseScrollEvent" "\0"
  /*  8384 */ "MozCanvasPrintState" "\0"
  /*  8404 */ "MozDocumentMatcher" "\0"
  /*  8423 */ "MozDocumentObserver" "\0"
  /*  8443 */ "MozQueryInterface" "\0"
  /*  8461 */ "MozSharedMap" "\0"
  /*  8474 */ "MozSharedMap Iterator" "\0"
  /*  8496 */ "MozSharedMapChangeEvent" "\0"
  /*  8520 */ "MozStorageAsyncStatementParams" "\0"
  /*  8551 */ "MozStorageStatementParams" "\0"
  /*  8577 */ "MozStorageStatementRow" "\0"
  /*  8600 */ "MozWritableSharedMap" "\0"
  /*  8621 */ "MutationEvent" "\0"
  /*  8635 */ "MutationObserver" "\0"
  /*  8652 */ "MutationRecord" "\0"
  /*  8667 */ "NamedNodeMap" "\0"
  /*  8680 */ "NavigationPreloadManager" "\0"
  /*  8705 */ "Navigator" "\0"
  /*  8715 */ "NetworkInformation" "\0"
  /*  8734 */ "Node" "\0"
  /*  8739 */ "NodeFilter" "\0"
  /*  8750 */ "NodeIterator" "\0"
  /*  8763 */ "NodeList" "\0"
  /*  8772 */ "Notification" "\0"
  /*  8785 */ "NotificationEvent" "\0"
  /*  8803 */ "NotifyPaintEvent" "\0"
  /*  8820 */ "OES_draw_buffers_indexed" "\0"
  /*  8845 */ "OES_element_index_uint" "\0"
  /*  8868 */ "OES_fbo_render_mipmap" "\0"
  /*  8890 */ "OES_standard_derivatives" "\0"
  /*  8915 */ "OES_texture_float" "\0"
  /*  8933 */ "OES_texture_float_linear" "\0"
  /*  8958 */ "OES_texture_half_float" "\0"
  /*  8981 */ "OES_texture_half_float_linear" "\0"
  /*  9011 */ "OES_vertex_array_object" "\0"
  /*  9035 */ "OVR_multiview2" "\0"
  /*  9050 */ "OfflineAudioCompletionEvent" "\0"
  /*  9078 */ "OfflineAudioContext" "\0"
  /*  9098 */ "OffscreenCanvas" "\0"
  /*  9114 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9148 */ "Option" "\0"
  /*  9155 */ "OscillatorNode" "\0"
  /*  9170 */ "PageTransitionEvent" "\0"
  /*  9190 */ "PaintRequest" "\0"
  /*  9203 */ "PaintRequestList" "\0"
  /*  9220 */ "PaintWorkletGlobalScope" "\0"
  /*  9244 */ "PannerNode" "\0"
  /*  9255 */ "ParentProcessMessageManager" "\0"
  /*  9283 */ "Path2D" "\0"
  /*  9290 */ "PathUtils" "\0"
  /*  9300 */ "PaymentAddress" "\0"
  /*  9315 */ "PaymentMethodChangeEvent" "\0"
  /*  9340 */ "PaymentRequest" "\0"
  /*  9355 */ "PaymentRequestUpdateEvent" "\0"
  /*  9381 */ "PaymentResponse" "\0"
  /*  9397 */ "PeerConnectionImpl" "\0"
  /*  9416 */ "PeerConnectionObserver" "\0"
  /*  9439 */ "Performance" "\0"
  /*  9451 */ "PerformanceEntry" "\0"
  /*  9468 */ "PerformanceEntryEvent" "\0"
  /*  9490 */ "PerformanceEventTiming" "\0"
  /*  9513 */ "PerformanceMark" "\0"
  /*  9529 */ "PerformanceMeasure" "\0"
  /*  9548 */ "PerformanceNavigation" "\0"
  /*  9570 */ "PerformanceNavigationTiming" "\0"
  /*  9598 */ "PerformanceObserver" "\0"
  /*  9618 */ "PerformanceObserverEntryList" "\0"
  /*  9647 */ "PerformancePaintTiming" "\0"
  /*  9670 */ "PerformanceResourceTiming" "\0"
  /*  9696 */ "PerformanceServerTiming" "\0"
  /*  9720 */ "PerformanceTiming" "\0"
  /*  9738 */ "PeriodicWave" "\0"
  /*  9751 */ "PermissionStatus" "\0"
  /*  9768 */ "Permissions" "\0"
  /*  9780 */ "PlacesBookmark" "\0"
  /*  9795 */ "PlacesBookmarkAddition" "\0"
  /*  9818 */ "PlacesBookmarkChanged" "\0"
  /*  9840 */ "PlacesBookmarkGuid" "\0"
  /*  9859 */ "PlacesBookmarkKeyword" "\0"
  /*  9881 */ "PlacesBookmarkMoved" "\0"
  /*  9901 */ "PlacesBookmarkRemoved" "\0"
  /*  9923 */ "PlacesBookmarkTags" "\0"
  /*  9942 */ "PlacesBookmarkTime" "\0"
  /*  9961 */ "PlacesBookmarkTitle" "\0"
  /*  9981 */ "PlacesBookmarkUrl" "\0"
  /*  9999 */ "PlacesEvent" "\0"
  /* 10011 */ "PlacesFavicon" "\0"
  /* 10025 */ "PlacesHistoryCleared" "\0"
  /* 10046 */ "PlacesObservers" "\0"
  /* 10062 */ "PlacesPurgeCaches" "\0"
  /* 10080 */ "PlacesRanking" "\0"
  /* 10094 */ "PlacesVisit" "\0"
  /* 10106 */ "PlacesVisitRemoved" "\0"
  /* 10125 */ "PlacesVisitTitle" "\0"
  /* 10142 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10168 */ "Plugin" "\0"
  /* 10175 */ "PluginArray" "\0"
  /* 10187 */ "PluginCrashedEvent" "\0"
  /* 10206 */ "PointerEvent" "\0"
  /* 10219 */ "PopStateEvent" "\0"
  /* 10233 */ "PopupBlockedEvent" "\0"
  /* 10251 */ "PopupPositionedEvent" "\0"
  /* 10272 */ "PositionStateEvent" "\0"
  /* 10291 */ "PrecompiledScript" "\0"
  /* 10309 */ "ProcessMessageManager" "\0"
  /* 10331 */ "ProcessingInstruction" "\0"
  /* 10353 */ "ProgressEvent" "\0"
  /* 10367 */ "PromiseDebugging" "\0"
  /* 10384 */ "PromiseNativeHandler" "\0"
  /* 10405 */ "PromiseRejectionEvent" "\0"
  /* 10427 */ "PublicKeyCredential" "\0"
  /* 10447 */ "PushEvent" "\0"
  /* 10457 */ "PushManager" "\0"
  /* 10469 */ "PushManagerImpl" "\0"
  /* 10485 */ "PushMessageData" "\0"
  /* 10501 */ "PushSubscription" "\0"
  /* 10518 */ "PushSubscriptionOptions" "\0"
  /* 10542 */ "RTCCertificate" "\0"
  /* 10557 */ "RTCDTMFSender" "\0"
  /* 10571 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10594 */ "RTCDataChannel" "\0"
  /* 10609 */ "RTCDataChannelEvent" "\0"
  /* 10629 */ "RTCDtlsTransport" "\0"
  /* 10646 */ "RTCEncodedAudioFrame" "\0"
  /* 10667 */ "RTCEncodedVideoFrame" "\0"
  /* 10688 */ "RTCIceCandidate" "\0"
  /* 10704 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10733 */ "RTCPeerConnection" "\0"
  /* 10751 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10777 */ "RTCPeerConnectionStatic" "\0"
  /* 10801 */ "RTCRtpReceiver" "\0"
  /* 10816 */ "RTCRtpScriptTransform" "\0"
  /* 10838 */ "RTCRtpScriptTransformer" "\0"
  /* 10862 */ "RTCRtpSender" "\0"
  /* 10875 */ "RTCRtpTransceiver" "\0"
  /* 10893 */ "RTCSctpTransport" "\0"
  /* 10910 */ "RTCSessionDescription" "\0"
  /* 10932 */ "RTCStatsReport" "\0"
  /* 10947 */ "RTCTrackEvent" "\0"
  /* 10961 */ "RTCTransformEvent" "\0"
  /* 10979 */ "RadioNodeList" "\0"
  /* 10993 */ "Range" "\0"
  /* 10999 */ "ReadableByteStreamController" "\0"
  /* 11028 */ "ReadableStream" "\0"
  /* 11043 */ "ReadableStream AsyncIterator" "\0"
  /* 11072 */ "ReadableStreamBYOBReader" "\0"
  /* 11097 */ "ReadableStreamBYOBRequest" "\0"
  /* 11123 */ "ReadableStreamDefaultController" "\0"
  /* 11155 */ "ReadableStreamDefaultReader" "\0"
  /* 11183 */ "Report" "\0"
  /* 11190 */ "ReportBody" "\0"
  /* 11201 */ "ReportingObserver" "\0"
  /* 11219 */ "Request" "\0"
  /* 11227 */ "ResizeObserver" "\0"
  /* 11242 */ "ResizeObserverEntry" "\0"
  /* 11262 */ "ResizeObserverSize" "\0"
  /* 11281 */ "Response" "\0"
  /* 11290 */ "SVGAElement" "\0"
  /* 11302 */ "SVGAngle" "\0"
  /* 11311 */ "SVGAnimateElement" "\0"
  /* 11329 */ "SVGAnimateMotionElement" "\0"
  /* 11353 */ "SVGAnimateTransformElement" "\0"
  /* 11380 */ "SVGAnimatedAngle" "\0"
  /* 11397 */ "SVGAnimatedBoolean" "\0"
  /* 11416 */ "SVGAnimatedEnumeration" "\0"
  /* 11439 */ "SVGAnimatedInteger" "\0"
  /* 11458 */ "SVGAnimatedLength" "\0"
  /* 11476 */ "SVGAnimatedLengthList" "\0"
  /* 11498 */ "SVGAnimatedNumber" "\0"
  /* 11516 */ "SVGAnimatedNumberList" "\0"
  /* 11538 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11569 */ "SVGAnimatedRect" "\0"
  /* 11585 */ "SVGAnimatedString" "\0"
  /* 11603 */ "SVGAnimatedTransformList" "\0"
  /* 11628 */ "SVGAnimationElement" "\0"
  /* 11648 */ "SVGCircleElement" "\0"
  /* 11665 */ "SVGClipPathElement" "\0"
  /* 11684 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11720 */ "SVGDefsElement" "\0"
  /* 11735 */ "SVGDescElement" "\0"
  /* 11750 */ "SVGElement" "\0"
  /* 11761 */ "SVGEllipseElement" "\0"
  /* 11779 */ "SVGFEBlendElement" "\0"
  /* 11797 */ "SVGFEColorMatrixElement" "\0"
  /* 11821 */ "SVGFEComponentTransferElement" "\0"
  /* 11851 */ "SVGFECompositeElement" "\0"
  /* 11873 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11900 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11928 */ "SVGFEDisplacementMapElement" "\0"
  /* 11956 */ "SVGFEDistantLightElement" "\0"
  /* 11981 */ "SVGFEDropShadowElement" "\0"
  /* 12004 */ "SVGFEFloodElement" "\0"
  /* 12022 */ "SVGFEFuncAElement" "\0"
  /* 12040 */ "SVGFEFuncBElement" "\0"
  /* 12058 */ "SVGFEFuncGElement" "\0"
  /* 12076 */ "SVGFEFuncRElement" "\0"
  /* 12094 */ "SVGFEGaussianBlurElement" "\0"
  /* 12119 */ "SVGFEImageElement" "\0"
  /* 12137 */ "SVGFEMergeElement" "\0"
  /* 12155 */ "SVGFEMergeNodeElement" "\0"
  /* 12177 */ "SVGFEMorphologyElement" "\0"
  /* 12200 */ "SVGFEOffsetElement" "\0"
  /* 12219 */ "SVGFEPointLightElement" "\0"
  /* 12242 */ "SVGFESpecularLightingElement" "\0"
  /* 12271 */ "SVGFESpotLightElement" "\0"
  /* 12293 */ "SVGFETileElement" "\0"
  /* 12310 */ "SVGFETurbulenceElement" "\0"
  /* 12333 */ "SVGFilterElement" "\0"
  /* 12350 */ "SVGForeignObjectElement" "\0"
  /* 12374 */ "SVGGElement" "\0"
  /* 12386 */ "SVGGeometryElement" "\0"
  /* 12405 */ "SVGGradientElement" "\0"
  /* 12424 */ "SVGGraphicsElement" "\0"
  /* 12443 */ "SVGImageElement" "\0"
  /* 12459 */ "SVGLength" "\0"
  /* 12469 */ "SVGLengthList" "\0"
  /* 12483 */ "SVGLineElement" "\0"
  /* 12498 */ "SVGLinearGradientElement" "\0"
  /* 12523 */ "SVGMPathElement" "\0"
  /* 12539 */ "SVGMarkerElement" "\0"
  /* 12556 */ "SVGMaskElement" "\0"
  /* 12571 */ "SVGMatrix" "\0"
  /* 12581 */ "SVGMetadataElement" "\0"
  /* 12600 */ "SVGNumber" "\0"
  /* 12610 */ "SVGNumberList" "\0"
  /* 12624 */ "SVGPathElement" "\0"
  /* 12639 */ "SVGPathSeg" "\0"
  /* 12650 */ "SVGPathSegArcAbs" "\0"
  /* 12667 */ "SVGPathSegArcRel" "\0"
  /* 12684 */ "SVGPathSegClosePath" "\0"
  /* 12704 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12730 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12756 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12788 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12820 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12850 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12880 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12916 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12952 */ "SVGPathSegLinetoAbs" "\0"
  /* 12972 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13002 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13032 */ "SVGPathSegLinetoRel" "\0"
  /* 13052 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13080 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13108 */ "SVGPathSegList" "\0"
  /* 13123 */ "SVGPathSegMovetoAbs" "\0"
  /* 13143 */ "SVGPathSegMovetoRel" "\0"
  /* 13163 */ "SVGPatternElement" "\0"
  /* 13181 */ "SVGPoint" "\0"
  /* 13190 */ "SVGPointList" "\0"
  /* 13203 */ "SVGPolygonElement" "\0"
  /* 13221 */ "SVGPolylineElement" "\0"
  /* 13240 */ "SVGPreserveAspectRatio" "\0"
  /* 13263 */ "SVGRadialGradientElement" "\0"
  /* 13288 */ "SVGRect" "\0"
  /* 13296 */ "SVGRectElement" "\0"
  /* 13311 */ "SVGSVGElement" "\0"
  /* 13325 */ "SVGScriptElement" "\0"
  /* 13342 */ "SVGSetElement" "\0"
  /* 13356 */ "SVGStopElement" "\0"
  /* 13371 */ "SVGStringList" "\0"
  /* 13385 */ "SVGStyleElement" "\0"
  /* 13401 */ "SVGSwitchElement" "\0"
  /* 13418 */ "SVGSymbolElement" "\0"
  /* 13435 */ "SVGTSpanElement" "\0"
  /* 13451 */ "SVGTextContentElement" "\0"
  /* 13473 */ "SVGTextElement" "\0"
  /* 13488 */ "SVGTextPathElement" "\0"
  /* 13507 */ "SVGTextPositioningElement" "\0"
  /* 13533 */ "SVGTitleElement" "\0"
  /* 13549 */ "SVGTransform" "\0"
  /* 13562 */ "SVGTransformList" "\0"
  /* 13579 */ "SVGUnitTypes" "\0"
  /* 13592 */ "SVGUseElement" "\0"
  /* 13606 */ "SVGViewElement" "\0"
  /* 13621 */ "Sanitizer" "\0"
  /* 13631 */ "Scheduler" "\0"
  /* 13641 */ "Screen" "\0"
  /* 13648 */ "ScreenLuminance" "\0"
  /* 13664 */ "ScreenOrientation" "\0"
  /* 13682 */ "ScriptProcessorNode" "\0"
  /* 13702 */ "ScrollAreaEvent" "\0"
  /* 13718 */ "ScrollViewChangeEvent" "\0"
  /* 13740 */ "SecurityPolicyViolationEvent" "\0"
  /* 13769 */ "Selection" "\0"
  /* 13779 */ "ServiceWorker" "\0"
  /* 13793 */ "ServiceWorkerContainer" "\0"
  /* 13816 */ "ServiceWorkerGlobalScope" "\0"
  /* 13841 */ "ServiceWorkerRegistration" "\0"
  /* 13867 */ "SessionStoreFormData" "\0"
  /* 13888 */ "SessionStoreScrollData" "\0"
  /* 13911 */ "SessionStoreUtils" "\0"
  /* 13929 */ "ShadowRealmGlobalScope" "\0"
  /* 13952 */ "ShadowRoot" "\0"
  /* 13963 */ "SharedWorker" "\0"
  /* 13976 */ "SharedWorkerGlobalScope" "\0"
  /* 14000 */ "SimpleGestureEvent" "\0"
  /* 14019 */ "SourceBuffer" "\0"
  /* 14032 */ "SourceBufferList" "\0"
  /* 14049 */ "SpeechGrammar" "\0"
  /* 14063 */ "SpeechGrammarList" "\0"
  /* 14081 */ "SpeechRecognition" "\0"
  /* 14099 */ "SpeechRecognitionAlternative" "\0"
  /* 14128 */ "SpeechRecognitionError" "\0"
  /* 14151 */ "SpeechRecognitionEvent" "\0"
  /* 14174 */ "SpeechRecognitionResult" "\0"
  /* 14198 */ "SpeechRecognitionResultList" "\0"
  /* 14226 */ "SpeechSynthesis" "\0"
  /* 14242 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14268 */ "SpeechSynthesisEvent" "\0"
  /* 14289 */ "SpeechSynthesisUtterance" "\0"
  /* 14314 */ "SpeechSynthesisVoice" "\0"
  /* 14335 */ "StaticRange" "\0"
  /* 14347 */ "StereoPannerNode" "\0"
  /* 14364 */ "Storage" "\0"
  /* 14372 */ "StorageEvent" "\0"
  /* 14385 */ "StorageManager" "\0"
  /* 14400 */ "StreamFilter" "\0"
  /* 14413 */ "StreamFilterDataEvent" "\0"
  /* 14435 */ "StructuredCloneHolder" "\0"
  /* 14457 */ "StructuredCloneTester" "\0"
  /* 14479 */ "StyleSheet" "\0"
  /* 14490 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14527 */ "StyleSheetList" "\0"
  /* 14542 */ "StyleSheetRemovedEvent" "\0"
  /* 14565 */ "SubmitEvent" "\0"
  /* 14577 */ "SubtleCrypto" "\0"
  /* 14590 */ "SyncMessageSender" "\0"
  /* 14608 */ "SyncReadFile" "\0"
  /* 14621 */ "TCPServerSocket" "\0"
  /* 14637 */ "TCPServerSocketEvent" "\0"
  /* 14658 */ "TCPSocket" "\0"
  /* 14668 */ "TCPSocketErrorEvent" "\0"
  /* 14688 */ "TCPSocketEvent" "\0"
  /* 14703 */ "TaskController" "\0"
  /* 14718 */ "TaskPriorityChangeEvent" "\0"
  /* 14742 */ "TaskSignal" "\0"
  /* 14753 */ "TelemetryStopwatch" "\0"
  /* 14772 */ "TestUtils" "\0"
  /* 14782 */ "TestingDeprecatedInterface" "\0"
  /* 14809 */ "Text" "\0"
  /* 14814 */ "TextClause" "\0"
  /* 14825 */ "TextDecoder" "\0"
  /* 14837 */ "TextDecoderStream" "\0"
  /* 14855 */ "TextEncoder" "\0"
  /* 14867 */ "TextEncoderStream" "\0"
  /* 14885 */ "TextMetrics" "\0"
  /* 14897 */ "TextTrack" "\0"
  /* 14907 */ "TextTrackCue" "\0"
  /* 14920 */ "TextTrackCueList" "\0"
  /* 14937 */ "TextTrackList" "\0"
  /* 14951 */ "TimeEvent" "\0"
  /* 14961 */ "TimeRanges" "\0"
  /* 14972 */ "ToggleEvent" "\0"
  /* 14984 */ "Touch" "\0"
  /* 14990 */ "TouchEvent" "\0"
  /* 15001 */ "TouchList" "\0"
  /* 15011 */ "TrackEvent" "\0"
  /* 15022 */ "TransformStream" "\0"
  /* 15038 */ "TransformStreamDefaultController" "\0"
  /* 15071 */ "TransitionEvent" "\0"
  /* 15087 */ "TreeColumn" "\0"
  /* 15098 */ "TreeColumns" "\0"
  /* 15110 */ "TreeContentView" "\0"
  /* 15126 */ "TreeWalker" "\0"
  /* 15137 */ "UDPMessageEvent" "\0"
  /* 15153 */ "UDPSocket" "\0"
  /* 15163 */ "UIEvent" "\0"
  /* 15171 */ "URL" "\0"
  /* 15175 */ "URLSearchParams" "\0"
  /* 15191 */ "URLSearchParams Iterator" "\0"
  /* 15216 */ "UniFFIPointer" "\0"
  /* 15230 */ "UniFFIScaffolding" "\0"
  /* 15248 */ "UserInteraction" "\0"
  /* 15264 */ "UserProximityEvent" "\0"
  /* 15283 */ "VRDisplay" "\0"
  /* 15293 */ "VRDisplayCapabilities" "\0"
  /* 15315 */ "VRDisplayEvent" "\0"
  /* 15330 */ "VREyeParameters" "\0"
  /* 15346 */ "VRFieldOfView" "\0"
  /* 15360 */ "VRFrameData" "\0"
  /* 15372 */ "VRMockController" "\0"
  /* 15389 */ "VRMockDisplay" "\0"
  /* 15403 */ "VRPose" "\0"
  /* 15410 */ "VRServiceTest" "\0"
  /* 15424 */ "VRStageParameters" "\0"
  /* 15442 */ "VTTCue" "\0"
  /* 15449 */ "VTTRegion" "\0"
  /* 15459 */ "ValidityState" "\0"
  /* 15473 */ "VideoColorSpace" "\0"
  /* 15489 */ "VideoDecoder" "\0"
  /* 15502 */ "VideoFrame" "\0"
  /* 15513 */ "VideoPlaybackQuality" "\0"
  /* 15534 */ "VideoTrack" "\0"
  /* 15545 */ "VideoTrackList" "\0"
  /* 15560 */ "VisualViewport" "\0"
  /* 15575 */ "WEBGL_color_buffer_float" "\0"
  /* 15600 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15630 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15659 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15689 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15720 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15750 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15785 */ "WEBGL_debug_renderer_info" "\0"
  /* 15811 */ "WEBGL_debug_shaders" "\0"
  /* 15831 */ "WEBGL_depth_texture" "\0"
  /* 15851 */ "WEBGL_draw_buffers" "\0"
  /* 15870 */ "WEBGL_explicit_present" "\0"
  /* 15893 */ "WEBGL_lose_context" "\0"
  /* 15912 */ "WEBGL_provoking_vertex" "\0"
  /* 15935 */ "WaveShaperNode" "\0"
  /* 15950 */ "WebExtensionContentScript" "\0"
  /* 15976 */ "WebExtensionPolicy" "\0"
  /* 15995 */ "WebGL2RenderingContext" "\0"
  /* 16018 */ "WebGLActiveInfo" "\0"
  /* 16034 */ "WebGLBuffer" "\0"
  /* 16046 */ "WebGLContextEvent" "\0"
  /* 16064 */ "WebGLFramebuffer" "\0"
  /* 16081 */ "WebGLProgram" "\0"
  /* 16094 */ "WebGLQuery" "\0"
  /* 16105 */ "WebGLRenderbuffer" "\0"
  /* 16123 */ "WebGLRenderingContext" "\0"
  /* 16145 */ "WebGLSampler" "\0"
  /* 16158 */ "WebGLShader" "\0"
  /* 16170 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16197 */ "WebGLSync" "\0"
  /* 16207 */ "WebGLTexture" "\0"
  /* 16220 */ "WebGLTransformFeedback" "\0"
  /* 16243 */ "WebGLUniformLocation" "\0"
  /* 16264 */ "WebGLVertexArrayObject" "\0"
  /* 16287 */ "WebKitCSSMatrix" "\0"
  /* 16303 */ "WebSocket" "\0"
  /* 16313 */ "WebTransport" "\0"
  /* 16326 */ "WebTransportBidirectionalStream" "\0"
  /* 16358 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16391 */ "WebTransportError" "\0"
  /* 16409 */ "WebTransportReceiveStream" "\0"
  /* 16435 */ "WebTransportSendStream" "\0"
  /* 16458 */ "WebrtcGlobalInformation" "\0"
  /* 16482 */ "WheelEvent" "\0"
  /* 16493 */ "Window" "\0"
  /* 16500 */ "WindowClient" "\0"
  /* 16513 */ "WindowContext" "\0"
  /* 16527 */ "WindowGlobalChild" "\0"
  /* 16545 */ "WindowGlobalParent" "\0"
  /* 16564 */ "WindowRoot" "\0"
  /* 16575 */ "Worker" "\0"
  /* 16582 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16608 */ "WorkerGlobalScope" "\0"
  /* 16626 */ "WorkerLocation" "\0"
  /* 16641 */ "WorkerNavigator" "\0"
  /* 16657 */ "WorkerTestUtils" "\0"
  /* 16673 */ "Worklet" "\0"
  /* 16681 */ "WorkletGlobalScope" "\0"
  /* 16700 */ "WritableStream" "\0"
  /* 16715 */ "WritableStreamDefaultController" "\0"
  /* 16747 */ "WritableStreamDefaultWriter" "\0"
  /* 16775 */ "XMLDocument" "\0"
  /* 16787 */ "XMLHttpRequest" "\0"
  /* 16802 */ "XMLHttpRequestEventTarget" "\0"
  /* 16828 */ "XMLHttpRequestUpload" "\0"
  /* 16849 */ "XMLSerializer" "\0"
  /* 16863 */ "XPathEvaluator" "\0"
  /* 16878 */ "XPathExpression" "\0"
  /* 16894 */ "XPathResult" "\0"
  /* 16906 */ "XRBoundedReferenceSpace" "\0"
  /* 16930 */ "XRFrame" "\0"
  /* 16938 */ "XRInputSource" "\0"
  /* 16952 */ "XRInputSourceArray" "\0"
  /* 16971 */ "XRInputSourceEvent" "\0"
  /* 16990 */ "XRInputSourcesChangeEvent" "\0"
  /* 17016 */ "XRPose" "\0"
  /* 17023 */ "XRReferenceSpace" "\0"
  /* 17040 */ "XRReferenceSpaceEvent" "\0"
  /* 17062 */ "XRRenderState" "\0"
  /* 17076 */ "XRRigidTransform" "\0"
  /* 17093 */ "XRSession" "\0"
  /* 17103 */ "XRSessionEvent" "\0"
  /* 17118 */ "XRSpace" "\0"
  /* 17126 */ "XRSystem" "\0"
  /* 17135 */ "XRView" "\0"
  /* 17142 */ "XRViewerPose" "\0"
  /* 17155 */ "XRViewport" "\0"
  /* 17166 */ "XRWebGLLayer" "\0"
  /* 17179 */ "XSLTProcessor" "\0"
  /* 17193 */ "XULCommandEvent" "\0"
  /* 17209 */ "XULElement" "\0"
  /* 17220 */ "XULFrameElement" "\0"
  /* 17236 */ "XULMenuElement" "\0"
  /* 17251 */ "XULPopupElement" "\0"
  /* 17267 */ "XULResizerElement" "\0"
  /* 17285 */ "XULTextElement" "\0"
  /* 17300 */ "XULTreeElement" "\0"
  /* 17315 */ "console" "\0"
  /* 17323 */ "webkitSpeechGrammar" "\0"
  /* 17343 */ "webkitSpeechGrammarList" "\0"
  /* 17367 */ "webkitSpeechRecognition" "\0"
  /* 17391 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

